/*
 * Copyright (C) 2004 Ivo Danihelka (ivo@danihelka.net)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */
#include "MouseStroke.h"

#include "StringTool.h"

#if defined( WIZ_MODE )
  float MouseStroke::m_scale_x = 1.0;
  float MouseStroke::m_scale_y = 1.0;
#endif

//-----------------------------------------------------------------
/**
 * Create new stroke from MouseButtonEvent.
 */
MouseStroke::MouseStroke(const SDL_MouseButtonEvent &event) :
   m_loc( 0, 0 )
{
    int re_x = int(float(event.x) * m_scale_x);
    int re_y = int(float(event.y) * m_scale_y);
    m_loc = V2(re_x, re_y);
    m_button = event.button;
}
//-----------------------------------------------------------------
/**
 * Return text fashion.
 */
std::string
MouseStroke::toString() const
{
    return StringTool::toString(m_button);
}

