#ifndef HEADER_MOUSESTROKE_H
#define HEADER_MOUSESTROKE_H

#include "V2.h"

#include "SDL.h"
#include <string>

/**
 * Contains info about mouse click.
 */
class MouseStroke {
    private:
        Uint8 m_button;
        V2 m_loc;

#if defined( WIZ_MODE )
static  float m_scale_x;
static  float m_scale_y;
#endif

    public:
        MouseStroke(const SDL_MouseButtonEvent &event);

#if defined( WIZ_MODE )
static void  setScaleX( float scale_x ) { m_scale_x = scale_x; }
static float getScaleX( void ) { return m_scale_x; }
static void  setScaleY( float scale_y ) { m_scale_y = scale_y; }
static float getScaleY( void ) { return m_scale_y; }
#endif

        bool isLeft() const { return m_button == SDL_BUTTON_LEFT; }
        bool isMiddle() const { return m_button == SDL_BUTTON_MIDDLE; }
        bool isRight() const { return m_button == SDL_BUTTON_RIGHT; }
        V2 getLoc() const { return m_loc; }
        std::string toString() const;
};

#endif
